Bug 204103 - yum asked me a strange, scary question multiple times and ignored my answer.
yum asked me a strange, scary question multiple times and ignored my answer.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 11:56 EDT by Zack Cerza
Modified: 2014-01-21 17:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 10:18:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2006-08-25 11:56:22 EDT
Description of problem:
I'll just paste my conversation with yum here:

[root@tallest boot]# yum install gparted
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for gparted to pack into transaction set.
gparted-0.2.5-2.fc6.x86_6 100% |=========================| 9.7 kB    00:00
---> Package gparted.x86_64 0:0.2.5-2.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libglibmm-2.4.so.1()(64bit) for package: gparted
--> Processing Dependency: libatkmm-1.6.so.1()(64bit) for package: gparted
--> Processing Dependency: libgtkmm-2.4.so.1()(64bit) for package: gparted
--> Processing Dependency: libsigc-2.0.so.0()(64bit) for package: gparted
--> Processing Dependency: libgdkmm-2.4.so.1()(64bit) for package: gparted
--> Processing Dependency: libpangomm-1.4.so.1()(64bit) for package: gparted
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for glibmm24 to pack into transaction set.
glibmm24-2.12.0-1.x86_64. 100% |=========================| 6.0 kB    00:00
---> Package glibmm24.x86_64 0:2.12.0-1 set to be updated
---> Downloading header for gtkmm24 to pack into transaction set.
gtkmm24-2.10.0-2.fc6.x86_ 100% |=========================| 7.8 kB    00:00
---> Package gtkmm24.x86_64 0:2.10.0-2.fc6 set to be updated
---> Downloading header for libsigc++20 to pack into transaction set.
libsigc++20-2.0.17-1.x86_ 100% |=========================| 5.8 kB    00:00
---> Package libsigc++20.x86_64 0:2.0.17-1 set to be updated
--> Running transaction check
--> Processing Dependency: libcairomm-1.0.so.1()(64bit) for package: gtkmm24
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for cairomm to pack into transaction set.
cairomm-1.2.0-2.fc6.x86_6 100% |=========================| 4.9 kB    00:00
---> Package cairomm.x86_64 0:1.2.0-2.fc6 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 gparted                 x86_64     0.2.5-2.fc6      extras-development  439 k
Installing for dependencies:
 cairomm                 x86_64     1.2.0-2.fc6      extras-development   40 k
 glibmm24                x86_64     2.12.0-1         extras-development  142 k
 gtkmm24                 x86_64     2.10.0-2.fc6     extras-development  1.1 M
 libsigc++20             x86_64     2.0.17-1         extras-development   49 k

Transaction Summary
=============================================================================
Install      5 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 1.7 M
Is this ok [y/N]: y
Downloading Packages:
(1/5): glibmm24-2.12.0-1. 100% |=========================| 142 kB    00:13
(2/5): gparted-0.2.5-2.fc 100% |=========================| 439 kB    00:51
(3/5): gtkmm24-2.10.0-2.f 100% |=========================| 1.1 MB    01:33
(4/5): cairomm-1.2.0-2.fc 100% |=========================|  40 kB    00:02
(5/5): libsigc++20-2.0.17 100% |=========================|  49 kB    00:02
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 1ac70ce6
Is this ok [y/N]: n
Is this ok [y/N]: n
Is this ok [y/N]: n
Is this ok [y/N]: n
Is this ok [y/N]: n
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: libsigc++20                  ######################### [1/5]
  Installing: glibmm24                     ######################### [2/5]
  Installing: cairomm                      ######################### [3/5]
  Installing: gtkmm24                      ######################### [4/5]
  Installing: gparted                      ######################### [5/5]

Installed: gparted.x86_64 0:0.2.5-2.fc6
Dependency Installed: cairomm.x86_64 0:1.2.0-2.fc6 glibmm24.x86_64 0:2.12.0-1 gt
kmm24.x86_64 0:2.10.0-2.fc6 libsigc++20.x86_64 0:2.0.17-1
Complete!

Ok, now what was yum asking me there? Something about an unsigned package - but
which? And why did it ask me 5 times if "it was OK?" And why did it ignore my
answer?

Version-Release number of selected component (if applicable):
yum-2.9.5-2.noarch
Comment 1 Seth Vidal 2006-09-05 10:18:56 EDT
fixed in cvs - will be available in 2.9.6 in test3 or rawhide

Note You need to log in before you can comment on or make changes to this bug.